Subject: bug#41198: 28.0.50; heading cycling command for outline

From: Juri Linkov <[email-masked]>
Date: Fri, 27 Nov 2020 10:29:52 +0200

>> With outline-minor-mode it would
>> be possible to collapse "Key translations" initially.
>> Then typing S-TAB would show such nice overview:
>>
>> * Key translations
>> * `override-global-mode' Minor Mode Bindings
>> * `outline-minor-mode' Minor Mode Bindings
>> * recentf-mode Minor Mode Bindings
>> * Major Mode Bindings
>> * Global Bindings
>> * Function key map translations
>> * Input decoding map translations
>
> I think this is a good idea.

I tried to modify the format of `C-h b' to output '*' headings,
but unfortunately after enabling `outline-minor-mode'
TAB has no effect on such headings.

I wonder why heading cycling implemented in this bug report
supports only `outline-mode', but not `outline-minor-mode'?

It would make sense in `outline-minor-mode' if TAB typed on a heading
then cycle outline heading.  If TAB is typed outside of a heading,
then use the default TAB binding, e.g. in case of the Help buffer
navigate to the next link.